For the complete documentation index, see llms.txt. This page is also available as Markdown.

Card User

API endpoints pertaining to the cardholder.

Demo code can be found at Github

Create User

Create a cardholder with identity information

POST https://api.musepay.io/v1/carduser/create

Request Body

Name
Type
Description

user_xid*

String

External identifier, unique under the partner.

user_name

String

Nickname of user account, this is a human-friendly non-unique name for a user account

email*

String

Email address of cardholder

individual*

Object

Individual card holder identity information.

individual.first_name*

String

First name of cardholder

individual.last_name*

String

Last name / Surname of cardholder

individual.date_of_birth*

String

Date of birth (YYYY-MM-DD)

individual.occupation

String

Occupation of card holder.

individual.annual_income

String

Annual income of card holder in card currency

document*

Object

Government Issued Identification Document Information

document.type*

String

1 or 2, enums in Document Type

document.number*

String

Identification document number.

document.country*

String

Issuing country of identification document in ISO3166-1 alpha-2 format

document.expiry_date*

String

Expiry date of identification document (YYYY-MM-DD)

document.front*

String

The front of a document file encoded in data URI base64 encoded format.

The following mime types are accepted for ID documents: image/jpeg, image/png.

document.back

String

The back of a document file encoded in data URI base64 encoded format.

The back of a document file encoded in data URI base64 encoded format

document.face

String

The selfie photo file encoded in data URI base64 encoded format.

The following mime types are accepted for ID documents: image/jpeg, image/png.

address

Object

Delivery address

address.country

String

Delivery country of identification document in ISO3166-1 alpha-2 format

address.city

String

Delivery city

address.post_code

String

Delivery post code

address.details

String

Detail delivery address

Code example

POST https://api.musepay.io/v1/carduser/create-with-kyc-link

Request Body

Name
Type
Description

email*

String

Email address of cardholder

user_xid*

String

External identifier, unique under the partner.

user_name

String

Nickname of user account, this is a human-friendly non-unique name for a user account

POST https://api.musepay.io/v1/carduser/kyc-link

Request Body

Name
Type
Description

user_xid*

String

External identifier, unique under the partner.

level_name

String

LEVEL-1 or LEVEL-2. Default value is LEVEL-1.

Get User

Get a collection of cardholders based on provided search criteria.

POST https://api.musepay.io/v1/carduser/query

Request Body

Name
Type
Description

user_id

String

phone_number

String

email

String

user_xid*

String

Upload User KYC

Upload User KYC information

POST https://api.musepay.io/v1/carduser/upload-kyc

Request Body

Name
Type
Description

user_xid*

String

External identifier, unique under the partner.

individual*

Object

Individual card holder identity information.

individual.first_name*

String

First name of cardholder

individual.last_name*

String

Last name / Surname of cardholder

individual.date_of_birth*

String

Date of birth (YYYY-MM-DD)

individual.occupation

String

Occupation of card holder.

individual.annual_income

String

Annual income of card holder in card currency

document*

Object

Government Issued Identification Document Information

document.type*

String

1 or 2, enums in Document Type

document.number*

String

Identification document number.

document.country*

String

Issuing country of identification document in ISO3166-1 alpha-2 format

document.expiry_date*

String

Expiry date of identification document (YYYY-MM-DD)

document.front*

String

The front of a document file encoded in data URI base64 encoded format.

The following mime types are accepted for ID documents: image/jpeg, image/png.

document.back

String

The back of a document file encoded in data URI base64 encoded format.

The back of a document file encoded in data URI base64 encoded format

address

Object

Delivery address

address.country

String

Delivery country of identification document in ISO3166-1 alpha-2 format

address.city

String

Delivery city

address.post_code

String

Delivery post code

address.details

String

Detail delivery address

Change user email

POST https://api.musepay.io/v1/carduser/change-email

When updating a user’s email, if the user has a card, the associated email on the card will be updated accordingly.

Request Body

Name
Type
Description

user_id

String

User unique ID

email

String

New email address of cardholder

Response

Last updated